summaryrefslogtreecommitdiffstats
path: root/desktop/recorditnow
diff options
context:
space:
mode:
author Giovanne Castro2010-09-11 07:24:01 +0200
committer Robby Workman2010-09-13 06:08:51 +0200
commit6d3aa3782f0b25eafff474ee2574bd2e5525f54b (patch)
treeb7d98bdd2a389a7700951ade7e1ca88d0ef0c613 /desktop/recorditnow
parentddee0e0ee5a1192cf3266e98b9664371cb1de435 (diff)
downloadslackbuilds-6d3aa3782f0b25eafff474ee2574bd2e5525f54b.tar.gz
desktop/recorditnow: Added (QT4 frontend for recordmydesktop)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop/recorditnow')
-rw-r--r--desktop/recorditnow/README6
-rw-r--r--desktop/recorditnow/doinst.sh14
-rw-r--r--desktop/recorditnow/recorditnow.SlackBuild101
-rw-r--r--desktop/recorditnow/recorditnow.info10
-rw-r--r--desktop/recorditnow/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/desktop/recorditnow/README b/desktop/recorditnow/README
new file mode 100644
index 0000000000..627e4d8e7d
--- /dev/null
+++ b/desktop/recorditnow/README
@@ -0,0 +1,6 @@
+RecordItNow is a desktop recorder. Its main features are:
+* Make screenshots * Show mouse activity * Keyboard monitor
+* Zoom * Timeline * Upload your videos to YouTube or blip.tv
+* Automatically encode your videos in a desired format
+
+This requires recordmydesktop and ffmpeg.
diff --git a/desktop/recorditnow/doinst.sh b/desktop/recorditnow/doinst.sh
new file mode 100644
index 0000000000..897a6ba833
--- /dev/null
+++ b/desktop/recorditnow/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications/kde4 >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/kbuildsycoca4 ]; then
+ /usr/bin/kbuildsycoca4 >/dev/null 2>&1
+fi
+
diff --git a/desktop/recorditnow/recorditnow.SlackBuild b/desktop/recorditnow/recorditnow.SlackBuild
new file mode 100644
index 0000000000..3422cd0b4a
--- /dev/null
+++ b/desktop/recorditnow/recorditnow.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for RecordItNow
+
+# Copyright 2010 by Giovanne Castro, Campinas, Sao Paulo, Brazil <giovannefc@ig.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=recorditnow
+VERSION=${VERSION:-0.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DLINGUAS="de;hu;pt_BR;cs;fr;tr" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release .
+
+make
+make install DESTDIR=$PKG
+
+# Hopefully KDE will eventually figure out that KDE's config dir is
+# not the *global* config dir
+mv $PKG/etc/kde/* $PKG/etc ; rmdir $PKG/etc/kde
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING DEPENDENCIES INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/recorditnow/recorditnow.info b/desktop/recorditnow/recorditnow.info
new file mode 100644
index 0000000000..584f4077fd
--- /dev/null
+++ b/desktop/recorditnow/recorditnow.info
@@ -0,0 +1,10 @@
+PRGNAM="recorditnow"
+VERSION="0.8.1"
+HOMEPAGE="http://recorditnow.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/recorditnow/recorditnow-0.8.1.tar.bz2"
+MD5SUM="6619b4048545adbab1d13a790189e80f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@ig.com.br"
+APPROVED="rworkman"
diff --git a/desktop/recorditnow/slack-desc b/desktop/recorditnow/slack-desc
new file mode 100644
index 0000000000..e092b23270
--- /dev/null
+++ b/desktop/recorditnow/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+recorditnow: recorditnow (Plugin based desktop recorder for KDE SC 4)
+recorditnow:
+recorditnow: RecordItNow is a desktop recorder. Main features are:
+recorditnow: Make screenshots. Automatically encode your videos in a desired format.
+recorditnow: Zoom. Show mouse activity. Keyboard monitor. Timeline.
+recorditnow: Upload your videos to YouTube or blip.tv.
+recorditnow:
+recorditnow: Home Page: http://recorditnow.sourceforge.net/
+recorditnow:
+recorditnow:
+recorditnow: